MEMBW(8)

NAME
membw - tool for generating memory bandwidth

SYNOPSIS
membw [OPTIONS][OPERATION]

DESCRIPTION
The membw software tool provides a way to stress local and remote memory bandwidth using a variety of memory operations. The tool allows the user to choose an operation to generate a specified amount of memory bandwidth on a selected core.

OPTIONS
membw options are as follow:

--help
    show help

-c, --cpu
    cpu to generate B/W

-b, --bandwidth
    memory B/W specified in MBps

OPERATION

--prefetch-t0
    prefetcht0

--prefetch-t1
    prefetcht1

--prefetch-t2
    prefetcht2

--prefetch-nta
    prefetchtnta

--prefetch-w
    prefetchw

--read
    x86 loads

--read-sse
    SSE loads

--nt-read-sse
    SSE NT loads

--read-mod-write
    x86 load XOR write

--write
    x86 stores

--write-avx512
    AVX512 stores

--write-clwb
    x86 stores + clwb

--write-flush
    x86 stores & clflush (naturally generates loads & stores)

--write-sse
    SSE stores

--write-sse-flush
    SSE stores & clflush (naturally generates loads & stores)

--nt-write
    x86 NT stores

--nt-write-avx512
    AVX512 NT stores

--nt-write-clwb
    x86 NT stores + clwb

--nt-write-sse
    SSE NT stores

AUTHOR
membw was written by Michal Aleksinski <michalx.aleksinski@intel.com>, Adrian Boczkowski <adrianx.boczkowski@intel.com> Wojciech Andralojc <wojciechx.andralojc@intel.com>, Marcel Cornu <marcel.d.cornu@intel.com>,

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.